general:
  version: 1.x
  css:
    component:
      css/leaflet_general.css: {}

leaflet:
  remote: http://leafletjs.com/
  version: 1.8.0
  license:
    name: Leaflet-License
    url: https://github.com/Leaflet/Leaflet/blob/v1.8.0/LICENSE
    gpl-compatible: true
  js:
    js/leaflet/dist/leaflet.js: {}
  css:
    component:
      js/leaflet/dist/leaflet.css: {}

leaflet-drupal:
  version: VERSION
  js:
    js/leaflet.drupal.js: {}
  dependencies:
    - core/jquery
    - core/once
    - core/drupal
    - leaflet/leaflet

leaflet-geoman:
  remote: http://leafletjs.com/
  version: 2.13.0
  license:
    name: Leaflet-Geoman-License
    url: https://github.com/geoman-io/leaflet-geoman/blob/develop/LICENSE
    gpl-compatible: true
  js:
    js/leaflet-geoman-free/dist/leaflet-geoman.min.js: { }
  css:
    component:
      js/leaflet-geoman-free/dist/leaflet-geoman.css: {}
  dependencies:
    - leaflet/leaflet

leaflet-widget:
  version: 1.x
  js:
    js/leaflet.widget.js: {}
  dependencies:
    - core/jquery
    - leaflet/general
    - leaflet/leaflet-drupal
    - leaflet/leaflet-geoman

# Control Fullscreen
leaflet.fullscreen:
  header: true
  remote: https://github.com/Leaflet/Leaflet.fullscreen
  version: '1.0.2'
  license:
    name: ISC License
    url: https://github.com/Leaflet/Leaflet.fullscreen/blob/gh-pages/LICENSE
    gpl-compatible: true
  css:
    component:
      'https://cdn.jsdelivr.net/npm/leaflet-fullscreen@1.0.2/dist/leaflet.fullscreen.min.css': { type: external}
  js:
    'https://cdn.jsdelivr.net/npm/leaflet-fullscreen@1.0.2/dist/Leaflet.fullscreen.min.js': { type: external, minified: true }
  dependencies:
    - leaflet/leaflet

# Gesture Handling Leaflet Library
leaflet.gesture_handling:
  header: true
  remote: https://github.com/elmarquis/Leaflet.GestureHandling
  version: '1.0.1'
  license:
    name: MIT License
    url: https://raw.githubusercontent.com/elmarquis/Leaflet.GestureHandling/master/LICENSE
    gpl-compatible: no
  css:
    component:
      'https://unpkg.com/leaflet-gesture-handling@1.2.2/dist/leaflet-gesture-handling.min.css': { type: external}
  js:
    'https://unpkg.com/leaflet-gesture-handling@1.2.2/dist/leaflet-gesture-handling.min.js': { type: external, minified: true }
  dependencies:
    - leaflet/leaflet

leaflet.geocoder:
  version: 1.x
  css:
    component:
      css/autocomplete-loading.module.css: { weight: -10 }
      css/leaflet_geocoder.css: {}
  js:
    js/leaflet.geocoder.js: {}
  dependencies:
    - core/drupal.autocomplete
    - leaflet/leaflet-drupal
